[Patchew-devel] [PATCH] requirement.txt: install binary psyscopg2 wheel

Paolo Bonzini posted 1 patch 26 weeks ago
Patches applied successfully (tree, apply log)
git fetch https://github.com/patchew-project/patchew next tags/patchew/20190515113753.25553-1-pbonzini@redhat.com
requirements.txt | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

[Patchew-devel] [PATCH] requirement.txt: install binary psyscopg2 wheel

Posted by Paolo Bonzini 26 weeks ago
Do not rebuild psycopg2 from source, it requires the host to have all
the toolchain installed.

Signed-off-by: Paolo Bonzini <pbonzini@redhat.com>
---
 requirements.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/requirements.txt b/requirements.txt
index a00e5ef..fe7928f 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -8,4 +8,4 @@ jsonfield2 >= 3.0, < 4.0
 drf-nested-routers
 coreapi-cli
 pyyaml
-psycopg2
+psycopg2-binary
-- 
2.21.0

_______________________________________________
Patchew-devel mailing list
Patchew-devel@redhat.com
https://www.redhat.com/mailman/listinfo/patchew-devel

Re: [Patchew-devel] [PATCH] requirement.txt: install binary psyscopg2 wheel

Posted by Philippe Mathieu-Daudé 25 weeks ago
On 5/15/19 1:37 PM, Paolo Bonzini wrote:
> Do not rebuild psycopg2 from source, it requires the host to have all
> the toolchain installed.
> 
> Signed-off-by: Paolo Bonzini <pbonzini@redhat.com>
> ---
>  requirements.txt | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/requirements.txt b/requirements.txt
> index a00e5ef..fe7928f 100644
> --- a/requirements.txt
> +++ b/requirements.txt
> @@ -8,4 +8,4 @@ jsonfield2 >= 3.0, < 4.0
>  drf-nested-routers
>  coreapi-cli
>  pyyaml
> -psycopg2
> +psycopg2-binary
> 

Reviewed-by: Philippe Mathieu-Daudé <philmd@redhat.com>

_______________________________________________
Patchew-devel mailing list
Patchew-devel@redhat.com
https://www.redhat.com/mailman/listinfo/patchew-devel